'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-ba23dd91.js');
const translator = require('./translator-d1b716ec.js');

const i18nTCss = ":host{display:inline}";

let I18nT = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.translator = translator.Translator.getInstance();
    this.originalText = this.i18nTEL.innerHTML;
    this.getTranslation();
  }
  async getTranslation() {
    let tData = {};
    try {
      tData = JSON.parse(this.tData || '{}');
    }
    catch (_a) { } // eslint-disable-line no-empty
    this.i18nTEL.innerHTML = await this.translator.t(this.originalText, tData);
  }
  /**
   *
   */
  async handleTranslationsUpdate() {
    this.getTranslation();
  }
  /**
   *
   * @param data
   */
  async handleLanguageChange(data) {
    this.translator.changeLanguage(data.detail);
  }
  render() {
    return index.h(index.Host, null, index.h("slot", null));
  }
  get i18nTEL() { return index.getElement(this); }
};
I18nT.style = i18nTCss;

exports.i18n_t = I18nT;
