import { HTMLElement, h, Host, proxyCustomElement } from '@stencil/core/internal/client';
import { T as Translator } from './translator.js';

const i18nTCss = ":host{display:inline}";

let I18nT$1 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.translator = Translator.getInstance();
    this.originalText = this.i18nTEL.innerHTML;
    this.getTranslation();
  }
  async getTranslation() {
    let tData = {};
    try {
      tData = JSON.parse(this.tData || '{}');
    }
    catch (_a) { } // eslint-disable-line no-empty
    this.i18nTEL.innerHTML = await this.translator.t(this.originalText, tData);
  }
  /**
   *
   */
  async handleTranslationsUpdate() {
    this.getTranslation();
  }
  /**
   *
   * @param data
   */
  async handleLanguageChange(data) {
    this.translator.changeLanguage(data.detail);
  }
  render() {
    return h(Host, null, h("slot", null));
  }
  get i18nTEL() { return this; }
  static get style() { return i18nTCss; }
};
I18nT$1 = /*@__PURE__*/ proxyCustomElement(I18nT$1, [1, "i18n-t", {
    "tData": [1, "t-data"]
  }, [[4, "i18n-update-translations", "handleTranslationsUpdate"], [4, "i18n-language-change", "handleLanguageChange"]]]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["i18n-t"];
  components.forEach(tagName => { switch (tagName) {
    case "i18n-t":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, I18nT$1);
      }
      break;
  } });
}

const I18nT = I18nT$1;
const defineCustomElement = defineCustomElement$1;

export { I18nT, defineCustomElement };
