import { r as registerInstance, h, H as Host, g as getElement } from './index-e85a7b06.js';
import { T as Translator } from './translator-f908a608.js';

const i18nTCss = ":host{display:inline}";

let I18nT = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.translator = Translator.getInstance();
    this.originalText = this.i18nTEL.innerHTML;
    this.getTranslation();
  }
  async getTranslation() {
    let tData = {};
    try {
      tData = JSON.parse(this.tData || '{}');
    }
    catch (_a) { } // eslint-disable-line no-empty
    this.i18nTEL.innerHTML = await this.translator.t(this.originalText, tData);
  }
  /**
   *
   */
  async handleTranslationsUpdate() {
    this.getTranslation();
  }
  /**
   *
   * @param data
   */
  async handleLanguageChange(data) {
    this.translator.changeLanguage(data.detail);
  }
  render() {
    return h(Host, null, h("slot", null));
  }
  get i18nTEL() { return getElement(this); }
};
I18nT.style = i18nTCss;

export { I18nT as i18n_t };
